/*
--------------------------------------------------------------------------------
Examplefile to show usage of LawnMaker 1.2
Quite a fiew dandelions on this pasture
--------------------------------------------------------------------------------
*/

#include "lawnmaker.inc"
#include "LMdandelion.inc"

#version 3.5;

global_settings {
  assumed_gamma 1.0
  max_trace_level 5
}
background { color rgb 1 }

// Only the necessary values are changed
#declare LawnStart = <-4, -4>;
#declare LawnStop  = < 4,  4>;
#declare LawnStepX = <0.1, 0.1>;
#declare LawnStepZ = <0.1, 0.1>;
/*
To create a round patch, a spherical pattern is used. By setting the outer
regions to 0, there are no plants there and thus there is no square patch of
plants.
*/
#declare LawnHeight = pigment { bozo turbulence 1 color_map { [0, rgb 0]
                                                              [0.2, rgb 0]
                                                              [0.6, rgb 0.5]
                                                              [1, rgb 1] } }


// New coloring used for the straws
#declare LawnColor[4] =
  pigment { spotted turbulence 2  scale 0.5
            colour_map { [0.0 color rgb <0.95, 0.7, 0.25>]
                         [1.0 color rgb <0.9, 0.8, 0.3>] }
          }
 

#declare T = 8;
#declare TypeGeometry = array[T] { Blade1,     Blade2,      Blade3,    Blade4,    Blade5,    Dand1,         Dand3,          Dand5 }
#declare TypeWeight   = array[T] { 4,          4,           4,         3,         3,         0.1,           0.08,            0.02 }
#declare TypeSize1    = array[T] { <.7,.6,.7>, <.7,.5,.7>,  <.6,.4,.6>,<.6,.4,.6>,<.6,.4,.6>,<1.2,1.2,1.2>, <1.2,1.2,1.2>,  <1.2,1.2,1.2> }
#declare TypeSize2    = array[T] { <1,1.5,1>,  <1,1.4,1>,   <1,1.2,1>, <1,1.1,1>, <1,1.1,1>, <1.5,1.5,1.5>, <1.5,1.5,1.5>,  <1.5,1.5,1.5> }
#declare TypeColMap   = array[T] { 0,          0,           0,         1,         1,         -1,            -1,             -1 }
#declare TypeTurn     = array[T] { <0, 360>,   <0, 360>,    <0, 360>,  <0, 360>,  <0, 360>,  <50, 250>,     <50, 250>,      <50, 250> }
#declare TypeIncline  = array[T] { <0, 50>,    <0, 30>,     <0, 10>,    <0,5>,    <-2,2>,    <-5,11>,        <-5,12>,         <-5,15>  }


// invoking LawnMaker and thus actually producing the grass
LawnMaker()


camera { location  <0.0, 5, -7> direction 1.5*z
  right x*image_width/image_height  look_at   <0.0, 0,  0.0>}

light_source {
  <-30, 30, -30>            
  color rgb <1, 1, 1>  
}

plane {  y, 0
  texture { pigment { bozo
                      color_map { [0, color rgb <0.3,0.2,0>]
                                  [1, color rgb <0.25,0.05,0>] } }
            finish { diffuse 0.8  ambient 0.1 }
  }
}  
